Subscribe a Zapier webhook
curl --request POST \
--url https://api.snitcher.com/v1/workspaces/{workspaceUuid}/zapier/hooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hookUrl": "https://hooks.zapier.com/hooks/catch/123456/abcdef/",
"event": "new_lead"
}
'import requests
url = "https://api.snitcher.com/v1/workspaces/{workspaceUuid}/zapier/hooks"
payload = {
"hookUrl": "https://hooks.zapier.com/hooks/catch/123456/abcdef/",
"event": "new_lead"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
hookUrl: 'https://hooks.zapier.com/hooks/catch/123456/abcdef/',
event: 'new_lead'
})
};
fetch('https://api.snitcher.com/v1/workspaces/{workspaceUuid}/zapier/hooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hookUrl": "<string>",
"event": "<string>"
}
}Zapier
Subscribe a Zapier webhook
POST
/
v1
/
workspaces
/
{workspaceUuid}
/
zapier
/
hooks
Subscribe a Zapier webhook
Authorizations
Enter your personal access token (PAT) to authenticate
Path Parameters
The UUID of the workspace
Body
application/json
⌘I